> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bulk field values



## OpenAPI

````yaml /api/openapi.json get /api/indexes/{indexId}/fields/values
openapi: 3.1.0
info:
  description: HTTP API for the Rootprint log management platform.
  title: Rootprint API
  version: 0.4.0
servers:
  - description: Rootprint API
    url: https://example.com
security:
  - cookieAuth: []
paths:
  /api/indexes/{indexId}/fields/values:
    get:
      tags:
        - Log explorer
      summary: Get bulk field values
      operationId: getApiIndexesByIndexIdFieldsValues
      parameters:
        - in: query
          name: fields
          required: true
          schema:
            items:
              minLength: 1
              type: string
            type: array
        - in: query
          name: q
          schema:
            type: string
        - in: query
          name: filters
          schema:
            items:
              properties:
                exclude:
                  type: boolean
                field:
                  pattern: ^[@$_\-a-zA-Z][@$_/.\-a-zA-Z0-9]{0,254}$
                  type: string
                value:
                  minLength: 1
                  type: string
              required:
                - field
                - value
                - exclude
              type: object
            type: array
        - in: query
          name: startTs
          schema:
            type: number
        - in: query
          name: endTs
          schema:
            type: number
        - in: query
          name: limit
          schema:
            maximum: 65000
            minimum: 1
            pattern: ^\d+$
            type: integer
        - in: path
          name: indexId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FieldValuesBulkResponse'
          description: Successful response
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
      security:
        - personalBearer: []
        - cookieAuth: []
components:
  schemas:
    FieldValuesBulkResponse:
      properties:
        elapsedTimeMicros:
          type: number
        truncated:
          additionalProperties:
            type: boolean
          propertyNames:
            type: string
          type: object
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/FieldValueEntrySchema'
            type: array
          propertyNames:
            type: string
          type: object
      required:
        - values
        - truncated
      type: object
    FieldValueEntrySchema:
      properties:
        count:
          type: number
        value:
          type: string
      required:
        - value
        - count
      type: object
    ApiErrorBody:
      properties:
        error:
          properties:
            code:
              type: string
            details:
              items:
                properties:
                  message:
                    type: string
                  path:
                    type: string
                required:
                  - path
                  - message
                type: object
              type: array
            message:
              type: string
            requestId:
              type: string
            statusCode:
              type: number
          required:
            - code
            - message
            - statusCode
            - requestId
          type: object
      required:
        - error
      type: object
  responses:
    BadRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Request validation failed
    Unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Authentication required
    Forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Permission denied
    NotFound:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Resource not found
    TooManyRequests:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Rate limit exceeded
    InternalError:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Internal server error
    ServiceUnavailable:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Upstream service unavailable
  securitySchemes:
    cookieAuth:
      in: cookie
      name: better-auth.session_token
      type: apiKey
    personalBearer:
      description: Query API key (personal or service account)
      scheme: bearer
      type: http

````